----- DROP TABLE -----
DROP TABLE Beers;
DROP TABLE Bars;
DROP TABLE Drinkers;
DROP TABLE Likes;
DROP TABLE Sells;
DROP TABLE Frequents;

----- DELETE TABLE -----
DELETE FROM Beers;
DELETE FROM Bars;
DELETE FROM Drinkers;
DELETE FROM Likes;
DELETE FROM Sells;
DELETE FROM Frequents;

----- CREATE TABLE -------
CREATE TABLE Beers (
	name		CHAR(20) PRIMARY KEY,
	manf		CHAR(20)
);

CREATE TABLE Bars (
	name		CHAR(20) PRIMARY KEY,
	addr		CHAR(50),
	license		CHAR(10)
);

CREATE TABLE Drinkers (
	name		CHAR(30) PRIMARY KEY,
	addr		CHAR(50) DEFAULT '123 Sesame St.',
	phone		VARCHAR(16)
);

CREATE TABLE Likes (
	drinker		CHAR(30),
	beer		CHAR(20),	
	PRIMARY KEY (drinker, beer)
);

CREATE TABLE Sells(
	bar			CHAR(20),
	beer		VARCHAR(20),
	price		REAL,
	PRIMARY KEY (bar, beer)
);

CREATE TABLE Frequents (
	drinker		CHAR(30),
	bar			CHAR(20),
	PRIMARY KEY (drinker, bar)
);

---- INSERT Tuples -----
INSERT INTO Beers(name, manf) VALUES('Hite', 'Jinro');
INSERT INTO Beers(name, manf) VALUES('Max', 'Jinro');
INSERT INTO Beers(name, manf) VALUES('Cass', 'OB');
INSERT INTO Beers(name, manf) VALUES('Cafri', 'OB');
INSERT INTO Beers(name, manf) VALUES('Kloud', 'Lotte');
INSERT INTO Beers(name, manf) VALUES('Miller', 'Miller');
INSERT INTO Beers(name, manf) VALUES('Bud', 'Anheuser-Busch');
INSERT INTO Beers(name, manf) VALUES('Bud Lite', 'Anheuser-Busch');

INSERT INTO Bars(name, addr, license) VALUES('Benjamin', 'jangejon-dong', 'licenseA');
INSERT INTO Bars(name, addr, license) VALUES('Bonggu', 'jangejon-dong', 'licenseB');
INSERT INTO Bars(name, addr, license) VALUES('B101', 'jangejon-dong', 'licenseC');
INSERT INTO Bars(name, addr, license) VALUES('Louis', 'jangejon-dong', 'licenseD');
INSERT INTO Bars(name, addr, license) VALUES('Joe''s Bar', 'dongnae', 'license');

INSERT INTO Drinkers(name, phone) VALUES('John','555-1121');
INSERT INTO Drinkers(name, addr, phone) VALUES('Peter','jangejon-dong', '555-1234');
INSERT INTO Drinkers(name, phone) VALUES('Maria', '010-1111-2222');
INSERT INTO Drinkers(name, addr, phone) VALUES('Nancy','yeonsan', '010-5145-7854');
INSERT INTO Drinkers(name, phone) VALUES('Fred','555-9999');
INSERT INTO Drinkers(name, addr, phone) VALUES('Sally','yeonsan', '555-0012');

INSERT INTO Likes(drinker, beer) VALUES('John', 'Cafri');
INSERT INTO Likes(drinker, beer) VALUES('Peter', 'Kloud');
INSERT INTO Likes(drinker, beer) VALUES('Maria', 'Cass');
INSERT INTO Likes(drinker, beer) VALUES('Nancy', 'Cafri');
INSERT INTO Likes(drinker, beer) VALUES('Sally', 'Max');
INSERT INTO Likes(drinker, beer) VALUES('Fred', 'Bud');
INSERT INTO Likes(drinker, beer) VALUES('Fred', 'Miller');

INSERT INTO Sells(bar, beer, price) VALUES('Bonggu', 'Hite', 5000);
INSERT INTO Sells(bar, beer, price) VALUES('Bonggu', 'Max', 5000);
INSERT INTO Sells(bar, beer, price) VALUES('B101', 'Hite', 4500);
INSERT INTO Sells(bar, beer, price) VALUES('B101', 'Kloud', 5500);
INSERT INTO Sells(bar, beer, price) VALUES('Louis', 'Kloud', 5000);
INSERT INTO Sells(bar, beer, price) VALUES('Louis', 'Max', 4500);
INSERT INTO Sells(bar, beer, price) VALUES('Benjamin', 'Cafri', 6000);
INSERT INTO Sells(bar, beer, price) VALUES('Benjamin', 'Max', 4700);
INSERT INTO Sells(bar, beer, price) VALUES('Joe''s Bar', 'Cass', 5000);
INSERT INTO Sells(bar, beer, price) VALUES('Joe''s Bar', 'Kloud', 5000);
INSERT INTO Sells(bar, beer, price) VALUES('B101', 'Bud', 7000);
INSERT INTO Sells(bar, beer, price) VALUES('Benjamin', 'Bud', 5500);
INSERT INTO Sells(bar, beer, price) VALUES('Bonggu', 'Miller', 6000);
INSERT INTO Sells(bar, beer, price) VALUES('Louis', 'Miller', 6000);
INSERT INTO Sells(bar, beer, price) VALUES('Benjamin', 'Miller', 5500);
INSERT INTO Sells(bar, beer, price) VALUES('Joe''s Bar', 'Miller', 6000);

INSERT INTO Frequents(drinker, bar) VALUES('John', 'B101');
INSERT INTO Frequents(drinker, bar) VALUES('Peter', 'Benjamin');
INSERT INTO Frequents(drinker, bar) VALUES('Maria', 'Benjamin');
INSERT INTO Frequents(drinker, bar) VALUES('Nancy', 'Bonggu');
INSERT INTO Frequents(drinker, bar) VALUES('Sally', 'Joe''s Bar');
INSERT INTO Frequents(drinker, bar) VALUES('Fred', 'Louis');
INSERT INTO Frequents(drinker, bar) VALUES('John', 'Joe''s Bar');
INSERT INTO Frequents(drinker, bar) VALUES('Peter', 'Joe''s Bar');
INSERT INTO Frequents(drinker, bar) VALUES('Maria', 'Joe''s Bar');