----- DROP TABLE -----
DROP TABLE Movie;
DROP TABLE StarsIn;
DROP TABLE MovieStar;
DROP TABLE MovieExec;
DROP TABLE Studio;

----- DELETE TABLE -----
DELETE FROM Movie;
DELETE FROM StarsIn;
DELETE FROM MovieStar;
DELETE FROM MovieExec;
DELETE FROM Studio;

----- CREATE TABLE -------
CREATE TABLE Movie (
	title			CHAR(50),
	year			INTEGER,
	length			INTEGER,
	inColor			BOOLEAN,		
	studioName		CHAR(50),
	producerCertN	INTEGER,
	
	PRIMARY KEY(title, year)
);

CREATE TABLE StarsIn (
	movieTitle	CHAR(50),
	movieYear	INTEGER,
	starName	CHAR(30),
	
	PRIMARY KEY(movieTitle, movieYear, starName)
);

CREATE TABLE MovieStar (
	name		CHAR(30) PRIMARY KEY,
	address		CHAR(50),
	gender		CHAR,
	birthdate	CHAR(10)
);

CREATE TABLE MovieExec (
	name		CHAR(30),
	address		CHAR(50),
	certN		INTEGER PRIMARY KEY,
	netWorth	INTEGER
);

CREATE TABLE Studio (
	name		CHAR(30) PRIMARY KEY,
	address		CHAR(50),
	presCN		INTEGER
);

---- INSERT Tuples ----
INSERT INTO Movie VALUES('Star Wars', 1977, 124, true, 'Fox', 12345);
INSERT INTO Movie VALUES('Mighty Ducks', 1991, 104, true, 'Disney', 67890);
INSERT INTO Movie VALUES('Wayne''s Wolrd', 1992, 95, true, 'Paramount', 99999);
INSERT INTO Movie VALUES('Pretty Woman', 1990, 119, true, 'Disney', 999);
INSERT INTO Movie VALUES('Indiana Jones 3', 1989, 127, true, 'Paramount', 23451);
INSERT INTO Movie VALUES('RoboCop', 1987, 102, true, 'Orion', 49457);
INSERT INTO Movie VALUES('RoboCop', 2014, 117, true, 'Columbia', 98453);
INSERT INTO Movie VALUES('Modern Times', 1936, 89, false, 'Columbia', 23429);

INSERT INTO StarsIn VALUES('Star Wars', 1977, 'Carrie Fisher');
INSERT INTO StarsIn VALUES('Star Wars', 1977, 'Mark Hamill');
INSERT INTO StarsIn VALUES('Star Wars', 1977, 'Harrison Ford');
INSERT INTO StarsIn VALUES('Mighty Ducks', 1991, 'Emilio Estevez');
INSERT INTO StarsIn VALUES('Wayne''s Wolrd', 1992, 'Michael John Myers');
INSERT INTO StarsIn VALUES('Pretty Woman', 1990,'Julia Roberts');
INSERT INTO StarsIn VALUES('Indiana Jones 3', 1989, 'Harrison Ford');
INSERT INTO StarsIn VALUES('Modern Times', 1936, 'Charlie Chaplin');

INSERT INTO MovieExec VALUES('George Lucas', 'Modesto, California, USA', 12345, 540000000);
INSERT INTO MovieExec VALUES('Stephen Herek', 'San Antonio, Texas, USA', 67890, 9000000);
INSERT INTO MovieExec VALUES('Penelope Spheeris', 'New Orleans, Louisiana, USA', 99999, 8000000);
INSERT INTO MovieExec VALUES('Garry Marshall', 'Bronx, NewYork, USA', 999, 20000000);
INSERT INTO MovieExec VALUES('Steven Spielberg', 'Cincinnati, Ohio, USA', 23451, 330000000);
INSERT INTO MovieExec VALUES('Paul Verhoeven', 'Amsterdam, Nederland', 49457, 54000000);
INSERT INTO MovieExec VALUES('José Padilha', 'Rio de Janeiro, Brazil', 98453, 2100000);
INSERT INTO MovieExec VALUES('Charlie Chaplin', 'Walworth, London, UK', 23429, 12300000);

INSERT INTO MovieStar VALUES('Carrie Fisher','123 Maple st., Hollywood','F','1956-10-21');
INSERT INTO MovieStar VALUES('Mark Hamill','456 Oak Rd. Brentwood','M','1951-09-25');
INSERT INTO MovieStar VALUES('Harrison Ford','789 Palm Dr., Beverly Hills','M','1942-07-13');
INSERT INTO MovieStar VALUES('Emilio Estevez','Staten Island, NewYork, USA','M','1952-05-12');
INSERT INTO MovieStar VALUES('Michael John Myers','Scarborough, Toronto, Canada','M','1963-05-25');
INSERT INTO MovieStar VALUES('Julia Roberts','Smyrna, Georgia, USA','F','1967-10-28');
INSERT INTO MovieStar VALUES('Charlie Chaplin','Walworth, London, UK','M','1889-04-18');

INSERT INTO Studio VALUES('Fox','Hollywood', 12345);
INSERT INTO Studio VALUES('Disney','Buena Vista', 67890);
INSERT INTO Studio VALUES('Paramount','Hollywood', 99999);
INSERT INTO Studio VALUES('Orion','Los Angeles', 49457);
INSERT INTO Studio VALUES('Columbia','Los Angeles', 98453);